<?php
namespace ReynaertBe\DeFactuRe;
use ReynaertBe\DIP\DIP;

class SendInvoice extends DIP {
   private $data = [];

   public function getData($key=null, $default=null) {
     return (is_null($key)) ? $this->data : ((isset($this->data[$key]))?$this->data[$key]:$default);
   }

   public function __construct($data) {
     parent::__construct();
     $this->data = $this->setResource('invoice/')
         ->setMethod(self::METHOD_POST)
         ->setBody($data)
         ->call(function ($result) {
             return json_decode($result, true);
         })['data'];
     return $this;
   }
}